import numpy as np
from pydantic import BaseModel, ConfigDict


class Matches(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)

    matches: np.ndarray
    scores: np.ndarray
    keypoints1: np.ndarray
    keypoints2: np.ndarray

